LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XAutoStylesSupplier Interface Reference

This interface provides access to the style families within the container document. More...

`import"XAutoStylesSupplier.idl";`

Inheritance diagram for XAutoStylesSupplier:

## Public Member Functions
com::sun::star::style::XAutoStyles | getAutoStyles ()
| This method returns the collection of automatic style families available in the container document. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface provides access to the style families within the container document.

## Member Function Documentation

## ◆ getAutoStyles()

com::sun::star::style::XAutoStyles getAutoStyles | ( |  | ) |

This method returns the collection of automatic style families available in the container document.

See also
  AutoStyles

The documentation for this interface was generated from the following file:

- com/sun/star/style/XAutoStylesSupplier.idl